import java.lang.*;

public class FrameProcessor extends FrameReceiver
{ 
  private BlinkenSim blinkenSim;
  private Frame frame;

  FrameProcessor( BlinkenSim blinkenSim )
  {
    this.blinkenSim = blinkenSim;
    frame = new Frame( 1, 1, 1 );
  }

  public void newFrame( Frame frame )
  {
    this.frame = frame;
    blinkenSim.repaint( );
  }
  
  public Frame getFrame( )
  {
    return new Frame( frame );
  }
}
